# Runs_GetRunStatus

Get the status of a specific Transaction Tax Extract pipeline run based on its Run ID. Note that statuses are not available for run jobs that are queued or still running.

`GET /v1/companies/{companyId}/Runs/{runId}`

**API:** Avalara Tax Content - Job and Data Management Service
**Tag:** Runs
**API Version:** v1
**Base URL:** https://rest.avatax.com/api/v2/content/jobs
**Authentication:** Basic (username + license key) or Bearer token

Source: https://developer.avalara.com/products/avalara-tax-content/api/jms/methods/Runs/Runs_GetRunStatus/

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The Company ID for this run. |
| `runId` | string | path | Yes | The Run ID of the job run that you want to retrieve. |
| `includeDownloads` | boolean | query | No | Include download information in the response. Default is false. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | OK | `Avalara.POS.API.JMS.Models.RunStatusModel` |
| 400 | Bad Request | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 401 | Unauthorized | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 404 | Not Found | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 408 | Request Timeout | `Microsoft.AspNetCore.Mvc.ProblemDetails` |

### 200 Response: `Avalara.POS.API.JMS.Models.RunStatusModel`

Metadata for a new Content Extract Pipeline run.

| Property | Type | Required | Description |
|---|---|---|---|
| `name` | string | No | Title of the pipeline run. Example: `SampleName`. |
| `jobId` | string | No | ID for the combined TTE configuration, delivery method, and communication method. Example: `00000000-0000-0000-0000-000000000000`. |
| `runId` | string | No | ID for the pipeline run. Example: `00000000-0000-0000-0000-000000000000`. |
| `dttId` | string | No | ID for the DTT configuration Example: `00000000-0000-0000-0000-000000000000`. |
| `status` | string | No | Status of the pipeline run.
            
Values are: `QUEUED`, `RUNNING`, `FAILURE`, `SUCCESS`. Example: `SUCCESS`. |
| `configurationName` | string | No | Configuration Name for the pipeline run. Example: `SampleConfigName`. |
| `jobType` | string | No | Job type. Example: `Production`. |
| `platform` | string | No | Platform for the pipeline run. Example: `APTOS`. |
| `started` | string | No | When the pipeline run began. |
| `completed` | string | No | When the pipeline run finished. |
| `execution_details` | Avalara.POS.API.JMS.Models.JobExecutionDetails | No |  |
| `outputtype` | string | No | Output type for the pipeline run. Example: `Full`. |
| `tteType` | string | No | TTE type for the pipeline run, 'lodging' for lodging runs. Example: `lodging`. |
| `baseRunId` | string | No | Base run ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `latestRunId` | string | No | Latest run ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `dttPreviewStatus` | string | No | DTT Preview status.
            
Values are: `enabled`, `disabled`, `warmup`. |
| `productType` | string | No | Product type for the pipeline run, 'lodging' for lodging runs. Example: `lodging`. |
| `countryCodes` | string[] | No | Country codes from the TTE configuration. |
| `detailLevel` | string | No | Detail level from the TTE configuration. |
| `downloadInformation` | Avalara.POS.API.Common.Models.Downloads | No |  |

## Example Request

```bash
curl -X GET "https://rest.avatax.com/api/v2/content/jobs/v1/companies/{companyId}/Runs/{runId}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```